Re: Eel merged into Nautilus 2.25.3

On Thu, Dec 18, 2008 at 11:50 AM, Vincent Untz <vuntz gnome org> wrote:
> Le lundi 15 décembre 2008, à 21:05 +0100, Frederic Peters a écrit :
>> Alexander Larsson wrote:
>> > I just released Nautilus 2.25.3 which contains an internalized copy of
>> > eel, and I don't plan to do any more eel releases. This lets the
>> > compiler do better optimizations and means one less library to link
>> > against.
>> >
>> > Eel was always unsupported and shouldn't be used outside nautilus.
>> > However, some applications still does this. These apps will work against
>> > the last eel release, but should really work towards removing this
>> > dependency.
>> I updated jhbuild moduleset; I looked at other modules declaring a
>> dependency on eel and gnome-mount dropped it already[1] while the
>> other one is orca and a bit strange, as it is written in Python.
>> (Willie, could you comment on this?)
> Opened an orca bug and Willie commented there. So I dropped eel from the
> 2.26 modulesets and from the release team scripts (for 2.25).

The one thing I found in Fedora that really uses eel in a substantial way is
a program called gnome-translate. I guess they're in for a bunch of
porting work.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]